: Class PropertyCache

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.tools.jdbc
Class PropertyCache

    java.lang.Object
      |
      +--org.w3c.tools.jdbc.PropertyCache

public class PropertyCache
extends java.lang.Object

Field Summary
`static boolean` | `debug`
`protected static java.util.Hashtable` | `properties` The modified properties

Constructor Summary
`PropertyCache()`

Method Summary
`static void` | `addProperty(JdbcBeanInterface bean, java.lang.String property, java.lang.Object value)`
`protected static java.lang.String` | `getId(JdbcBeanInterface bean, java.lang.String property)`
`static java.lang.Object` | `getProperty(JdbcBeanInterface bean, java.beans.PropertyDescriptor pd)`
`static void` | `removeProperties(JdbcBeanInterface bean)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### debug

    public static boolean debug

### properties

    protected static java.util.Hashtable properties

  The modified properties

Constructor Detail

### PropertyCache

    public PropertyCache()

Method Detail

### getId

    protected static java.lang.String getId(JdbcBeanInterface bean,
                                            java.lang.String property)

### addProperty

    public static void addProperty(JdbcBeanInterface bean,
                                   java.lang.String property,
                                   java.lang.Object value)

### getProperty

    public static java.lang.Object getProperty(JdbcBeanInterface bean,
                                               java.beans.PropertyDescriptor pd)

### removeProperties

    public static void removeProperties(JdbcBeanInterface bean)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD